// creator  : weidu.exe (version 23100)
// argument : _DOPDUR3.DLG
// game		 : .
// source	 : ./override/_DOPDUR3.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_DOPDUR3~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #83745 /* ~Kiel, my first-born, why so stern all the time? Come down from that throne and revel with your family for a spell.~ */
  IF ~~ THEN DO ~DialogueInterrupt(FALSE)
SetDialogue("")
Face(10)
CreateCreature("_ISLANN",[2045.953],0)
CreateCreature("_FUERNE",[1461.597],0)
SetGlobal("dopdur3","GLOBAL",1)
ActionOverride("fuernebol",MoveToPoint([1638.749]))
ActionOverride("fuernebol",ProtectPoint([1638.749],3))
ActionOverride("islanne",MoveToPoint([1806.895]))
ActionOverride("islanne",ProtectPoint([1806.895],3))
Wait(3)
ForceSpellPoint([1900.714],QUICK_TELEPORT)
Face(10)
Wait(2)
DialogueInterrupt(TRUE)
StartDialogue("_DOPDUR3",Player1)
~ EXIT
END

IF ~NumberOfTimesTalkedTo(1)
~ THEN BEGIN 1 // from:
  SAY #83746 /* ~You and I have built ourselves a fortress here, son. The treasure lies safe and the Clan grows strong, so let down your guard a moment, fool...~ */
  IF ~~ THEN DO ~DialogueInterrupt(FALSE)
SetDialogue("")
SetGlobal("dopdur3","GLOBAL",2)
Wait(3)
ForceSpellPoint([2082.580],QUICK_TELEPORT)
Face(10)
Wait(2)
DialogueInterrupt(TRUE)
StartDialogue("_DOPDUR3",Player1)
~ EXIT
END

IF ~NumberOfTimesTalkedTo(2)
~ THEN BEGIN 2 // from:
  SAY #83747 /* ~Thsss, Dwarfmeat, if you wish to fight then let us fight and be done with ye!~ */
  IF ~~ THEN DO ~ReallyForceSpell("islanne",WIZARD_CLOUDKILL)
ReallyForceSpell("islanne",DOPPLEGANGER_CHANGE_DEFAULT)
ReallyForceSpell("fuernebol",WIZARD_STINKING_CLOUD)
ReallyForceSpell("fuernebol",DOPPLEGANGER_CHANGE_DEFAULT)
ReallyForceSpell(Myself,WIZARD_STINKING_CLOUD)
ReallyForceSpell(Myself,DOPPLEGANGER_CHANGE_DEFAULT)
~ EXIT
END
